#!/bin/bash
#
# Script for configuring the underlying application.
#
# Copyright (c) 2011-2014, ZIH, TU Dresden, Federal Republic of Germany.
# For details, see the files COPYING and LICENSE in the base directory
# of the package.

export SCAFESRUN_NAME_EXECUTABLE="$(basename $PWD)";
export SCAFESRUN_SPACE_DIM=3
export SCAFESRUN_N_NODES="8x8x8"
export SCAFESRUN_PARTITION_GRID="0x0x1"
export SCAFESRUN_COORD_NODE_FIRST="0x0x0"
export SCAFESRUN_COORD_NODE_LAST="1x1x1"
export SCAFESRUN_N_TIMESTEPS=20
export SCAFESRUN_N_SNAPSHOTS=1
export SCAFESRUN_START_TIME=0
export SCAFESRUN_END_TIME=1
export SCAFESRUN_OUTPUT_LEVEL=5
export SCAFESRUN_NLAYERS_AT_BORDER=1
export SCAFESRUN_NAME_KINDFILE=""
export SCAFESRUN_WRITE_KINDFILE="NO";
export SCAFESRUN_NAME_CONFIGFILE=""
export SCAFESRUN_ENABLE_ADOLC="NO"
export SCAFESRUN_ASYNCHRON_MODE="YES"
export SCAFESRUN_COMP_GRADIENTS="NO"

export SCAFESRUN_RESULTS_DIR="./";
export SCAFESRUN_CHECK_RESULTS="NO";
#------------------------------------------------------------------------------#
export SCAFESRUN_RUN_MODE="DEBUG"
export SCAFESRUN_N_TESTS_MPI=2
export SCAFESRUN_N_TESTS_OPENMP=1
export SCAFESRUN_N_PROCESSES_MPI_START=1
export SCAFESRUN_N_THREADS_OPENMP_START=1
export SCAFESRUN_TYPE_SCALINGTEST="STRONG"
export SCAFESRUN_MACHINE_NAME="ZIH_WIL_FSC_Q9000";
export SCAFESRUN_MACHINE_N_NODES=1;
export SCAFESRUN_MACHINE_N_CORES_PER_NODE=4;

./../../../scripts/scafesrun.sh
